#! /bin/csh -f

# Modify fitssaotemp.c 
set SAOTEMPLIB=`echo $PWD/saotemp`
cat <<EOF > source/saotemp.h
#define LIBPATH "$SAOTEMPLIB"
EOF


# build C-programs
echo "# build C-programs"
make fsaotemp
make fmkspmask
make frbline
make fbadpix
make offcalc

# register new IRAF tasks
echo ""
echo "# Add folloing line to your login.cl."
cat << EOF
task imstatrej = ./clscript/imstatrej.cl
task scansaostar = ./clscript/scansaostar.cl
task mask1d = ./clscript/mask1d.cl
keep
EOF

cat << EOF >> login.cl
task imstatrej = ./clscript/imstatrej.cl
task scansaostar = ./clscript/scansaostar.cl
task mask1d = ./clscript/mask1d.cl
keep
EOF
